Watch video YouTube with MPlayer
  • Paladin of the Pegasos
    Paladin of the Pegasos
    Amigaharry2
    Posts: 1195 from 2010/1/6
    From: EU-Austria (Wien)
    Could be a issue of your X1950. It's probably better to contact MOS-Team (Bigfoot or Cyfm).
    Peg2, 3xPowerMac G5, 2xPowerbookG4, 2x MacMiniG4, Efika (again), A3000T and life is never boring.....
  • »24.11.23 - 12:14
    Profile
  • ghh
  • Cocoon
    Cocoon
    ghh
    Posts: 47 from 2017/7/16
    From: Prague
    I also have an X1950 and it looks the same as Papiosaur writes.
    Photo
  • »24.11.23 - 21:29
    Profile Visit Website
  • Acolyte of the Butterfly
    Acolyte of the Butterfly
    Primax
    Posts: 126 from 2021/7/2
    I am trying to use this script for the first time:
    I have edited the paths for FFMpeg and MPlayer, but when I try to start it, then I get an error, saying, I have to install rexxsyslib.

    I cannot find it on MorphOS-Storage...
    AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon X1650 / AmigaOS 4.1 Final Edition / MorphOS 3.17
    Amiga1200 / Blizzard 1230 IV PiStorm32-lite / 128 MB RAM / AmigaOS 3.9
  • »25.11.23 - 14:23
    Profile Visit Website
  • Paladin of the Pegasos
    Paladin of the Pegasos
    Amigaharry2
    Posts: 1195 from 2010/1/6
    From: EU-Austria (Wien)
    The rexxsys.library (in MorphOS:libs directory) on MorphOS-CD is only a dummy-library! You have to use the rexxsys.library from a common AmigaOS 3.x installation (68K).
    Peg2, 3xPowerMac G5, 2xPowerbookG4, 2x MacMiniG4, Efika (again), A3000T and life is never boring.....
  • »25.11.23 - 16:13
    Profile
  • Acolyte of the Butterfly
    Acolyte of the Butterfly
    Primax
    Posts: 126 from 2021/7/2
    Hmm....thanks. But now my Shell does not work anymore. Have to check...
    AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon X1650 / AmigaOS 4.1 Final Edition / MorphOS 3.17
    Amiga1200 / Blizzard 1230 IV PiStorm32-lite / 128 MB RAM / AmigaOS 3.9
  • »25.11.23 - 20:16
    Profile Visit Website
  • Acolyte of the Butterfly
    Acolyte of the Butterfly
    Primax
    Posts: 126 from 2021/7/2
    I have installed the dummy rexxsys.library via Grunch and then overwritten it with the one included in this archive:
    https://aminet.net/package/util/rexx/8med

    Does it have to be a certain version, or could my problems with the Shell com from this early version?
    Thanks!
    AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon X1650 / AmigaOS 4.1 Final Edition / MorphOS 3.17
    Amiga1200 / Blizzard 1230 IV PiStorm32-lite / 128 MB RAM / AmigaOS 3.9
  • »26.11.23 - 04:34
    Profile Visit Website
  • man
  • Butterfly
    Butterfly
    man
    Posts: 90 from 2019/11/11
    amigafoul site for 68k library seems for me better
    https://aminet.net/package/util/rexx/8med
    compressed library with powerpacker?
    to be uncompress then
  • »26.11.23 - 05:13
    Profile
  • Acolyte of the Butterfly
    Acolyte of the Butterfly
    Primax
    Posts: 126 from 2021/7/2
    Thanks! That fixed it.
    Additionally to Shell, also Wayfarer, Iris etc did not work anymore...
    Now fine again, back to testing:

    I get an error: https drive required....Ahhh. I remember: X5000 version of MPlayer does not support https...:(

    Frank, please: what about a new MPlayer version for X5000...? :)
    Thanks!

    [ Editiert durch Primax 26.11.2023 - 09:06 ]
    AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon X1650 / AmigaOS 4.1 Final Edition / MorphOS 3.17
    Amiga1200 / Blizzard 1230 IV PiStorm32-lite / 128 MB RAM / AmigaOS 3.9
  • »26.11.23 - 07:52
    Profile Visit Website
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    KennyR
    Posts: 867 from 2003/3/4
    From: #AmigaZeux, Gu...
    If you're looking for some way to script it, don't bother. Youtube support breaks constantly even on Windows/Linux players like VLC and smplayer - Google really, really don't want people watching Youtube without their API and website and its many ads.
  • »26.11.23 - 09:35
    Profile
  • Acolyte of the Butterfly
    Acolyte of the Butterfly
    Primax
    Posts: 126 from 2021/7/2
    Quote:

    Andreas_Wolf schrieb:
    > I have installed the dummy rexxsys.library via Grunch and then overwritten it

    This sounds confusing. The MorphOS-native dummy rexxsyslib.library is installed by default (in MOSSYS:Libs). Grunch can then be used to install an m68k one from Aminet (silently using that archive, IIRC) to SYS:Libs, in which process the original (dummy) one in MOSSYS:Libs is deactivated by being renamed.

    From the author of Grunch:
    https://morph.zone/modules/newbb_plus/viewtopic.php?forum=3&topic_id=6514&start=25
    https://morph.zone/modules/newbb_plus/viewtopic.php?forum=3&topic_id=10093&start=5


    Hmmm....

    I started Grunch which told me: rexxsyslib was not installed. Okay, then I installed it.
    I do not want to write something wrong: Could be that in System --> Libs, there was a rexxsys.library which I overwrote with my bad one.
    In MOSSYS --> Libs, there was and is still the dummy. This is correct or should there be also the proper rexxsys.library?

    But what actually almost scared me was the fact that so many applications did not work any longer only caused by an old version of rexxsys.library??!!

    [ Editiert durch Primax 26.11.2023 - 12:01 ]
    AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon X1650 / AmigaOS 4.1 Final Edition / MorphOS 3.17
    Amiga1200 / Blizzard 1230 IV PiStorm32-lite / 128 MB RAM / AmigaOS 3.9
  • »26.11.23 - 10:46
    Profile Visit Website
  • man
  • Butterfly
    Butterfly
    man
    Posts: 90 from 2019/11/11
    do you know that?
    use chrysalys and change the installer for 3.18
    or for use rexxsyslib
    copy muirexx in c or by easy intaller
    in user starup
    ;BEGIN ARexx
    assign >NIL: MUIRexx: c:
    If Exists mossys:libs/rexxsyslib.library
    rename Mossys:Libs/rexxsyslib.library Mossys:Libs/rexxsyslib.library_disabled
    EndIf
    ;END ARexx
  • »26.11.23 - 11:00
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 12027 from 2003/5/22
    From: Germany
    > I started Grunch which told me: rexxsyslib was not installed.

    This Grunch message *may* mean that there's no *working* rexxsyslib.library (i.e. m68k one) installed. But I'm not sure about that.

    > then I installed it.

    ...by which everything should have been fine using Grunch. There was no need to manually install yet another rexxsyslib.library from anywhere, then.

    > In MOSSYS --> Libs, there was and is still the dummy. This is correct
    > or should there be also the proper rexxsys.library?

    As is documented in various places in the MorphOS Library, if everything is done correctly (either manually or via Grunch), you end up with an m68k rexxsyslib.library in SYS:Libs and a MorphOS-native rexxsyslib.library_disabled (or similar) in MOSSYS:Libs.

    https://library.morph.zone/Tips_and_Tricks#Modifying_the_System_Directory

    > what actually almost scared me was the fact that so many applications
    > did not work any longer only caused by an old version of rexxsys.library??!!

    As far as I understand, this wasn't because you installed "an old version" (it's no older than the others), but because it was PowerPacker-compressed and thus caused trouble being loaded in non-uncompressed state by programs using rexxsyslib.library.
  • »26.11.23 - 13:04
    Profile
  • jPV
  • Yokemate of Keyboards
    Yokemate of Keyboards
    jPV
    Posts: 2017 from 2003/2/24
    From: po-RNO
    Quote:

    Andreas_Wolf wrote:
    > I started Grunch which told me: rexxsyslib was not installed.

    This Grunch message *may* mean that there's no *working* rexxsyslib.library (i.e. m68k one) installed. But I'm not sure about that.


    Yes, looking at the Grunch database file, it only checks existence of the library in SYS:Libs/ and draws the conclusion if it's installed or not based on that:
    ## INSTALLCHECK "SYS:Libs/rexxsyslib.library"

    And then it indeed uses the mentioned archive:
    ## URLARCHIVE "http://aminet.net/comm/irc/remotecli.lha"

    And after the installation it renames the original bundled dummy library:
    Rename "MOSSYS:Libs/rexxsyslib.library" "MOSSYS:Libs/rexxsyslib.library_dummy"


    BTW. newer libraries do work too if you happen to own them from AmigaOS 3.5 or 3.9, for example.

    I have this one installed on my systems:

    Ram Disk:> version file full SYS:Libs/rexxsyslib.library
    rexxsyslib.library 44.1 (25.12.1999)
  • »26.11.23 - 14:25
    Profile Visit Website
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 12027 from 2003/5/22
    From: Germany
    > Yes, looking at the Grunch database file, it only checks
    > existence of the library in SYS:Libs/ [...]
    > then it indeed uses the mentioned archive: [...]
    > after the installation it renames the original bundled dummy library: [...]

    Thanks for checking and confirming. I was too lazy and went by recollection and assumption ;-)

    > newer libraries do work too if you happen to own them from AmigaOS 3.5 or 3.9

    Indeed, I use the one from OS3.9 myself.
  • »26.11.23 - 19:34
    Profile
  • Acolyte of the Butterfly
    Acolyte of the Butterfly
    Primax
    Posts: 126 from 2021/7/2
    Quote:

    Andreas_Wolf schrieb:
    > what actually almost scared me was the fact that so many applications
    > did not work any longer only caused by an old version of rexxsys.library??!!

    As far as I understand, this...was because it was...PowerPacker-compressed


    I have checked this under OS3. That's true! Thanks!

    Nevertheless: if I had not installed it before and Wayfarer, Iris, Shell etc. worked fine, why then it caused so much trouble...? Because if ARexx is available, then all try to use it...?
    AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon X1650 / AmigaOS 4.1 Final Edition / MorphOS 3.17
    Amiga1200 / Blizzard 1230 IV PiStorm32-lite / 128 MB RAM / AmigaOS 3.9
  • »26.11.23 - 19:52
    Profile Visit Website
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 12027 from 2003/5/22
    From: Germany
    >> this...was because it was...PowerPacker-compressed

    > I have checked this under OS3. That's true! Thanks!

    Thanks should go to the author of comment #34 ;-)

    > if I had not installed it before and Wayfarer, Iris, Shell etc. worked fine,
    > why then it caused so much trouble...? Because if ARexx is available,
    > then all try to use it...?

    Wayfarer, Iris and Shell offer message ports ("ARexx ports", however on MorphOS recommended to be served via Lua), so if rexxsyslib.library is found, I guess they load it for this purpose, even though it's just a dummy library.
    If you replace this rexxsyslib.library with a random bitstream (which is what PowerPacker-compressed files look like from MorphOS perspective) going by the same name, the applications fail to start, apparently.
    (I'm not sure I correctly understand your question, so my reply may not really answer it.)
  • »26.11.23 - 21:50
    Profile